import request from './axios'

const BASE_API = process.env.NODE_ENV !== 'production' ? '/ittApi/console' : '/console'

// 登录
const pwdLoginURL = BASE_API + '/pwd/login/v1'

// 用户列表
const getUserListURL = BASE_API + '/get/user/list/v1'

// 管理人员列表
const getOperatorListURl = BASE_API + '/get/operator/list/v1'

// 工作人员列表
const getWorkerListURL = BASE_API + '/get/worker/list/v1'

// 工作人员服务记录
const getWorkerServiceURL = BASE_API + '/get/worker/service/v1'

export const pwdLogin = (data) => {
  return request.post(pwdLoginURL, data)
}

export const getUserList = (data) => {
  return request.post(getUserListURL, data)
}

export const getOperatorList = (data) => {
  return request.post(getOperatorListURl, data)
}

export const getWorkerList = (data) => {
  return request.post(getWorkerListURL, data)
}

export const getWorkerService = (data) => {
  return request.post(getWorkerServiceURL, data)
}